## org.apache.myfaces.custom.tabbedpane
Class HtmlPanelTabbedPaneTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.taglib.html.HtmlPanelGroupTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlPanelGroupTag
                              org.apache.myfaces.custom.tabbedpane.HtmlPanelTabbedPaneTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlPanelTabbedPaneTag
extends HtmlPanelGroupTag

Version:
  $Revision: 167327 $ $Date: 2004-11-26 09:29:13 -0500 (Fri, 26 Nov 2004) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlPanelTabbedPaneTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getDisabledTabStyleClass()`
`java.lang.String` `getRendererType()`
`void` `setActiveSubStyleClass(java.lang.String activeSubStyleClass)`
`void` `setActiveTabStyleClass(java.lang.String activeTabStyleClass)`
`void` `setAlign(java.lang.String align)`
`void` `setBgcolor(java.lang.String bgcolor)`
`void` `setBorder(java.lang.String border)`
`void` `setCellpadding(java.lang.String cellpadding)`
`void` `setCellspacing(java.lang.String cellspacing)`
`void` `setDatafld(java.lang.String datafld)`
`void` `setDataformatas(java.lang.String dataformatas)`
`void` `setDatasrc(java.lang.String datasrc)`
`void` `setDisabledTabStyleClass(java.lang.String disabledTabStyleClass)`
`void` `setFrame(java.lang.String frame)`
`void` `setInactiveSubStyleClass(java.lang.String inactiveSubStyleClass)`
`void` `setInactiveTabStyleClass(java.lang.String inactiveTabStyleClass)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRules(java.lang.String rules)`
`void` `setSelectedIndex(java.lang.String selectedIndex)`
`void` `setSummary(java.lang.String summary)`
`void` `setTabContentStyleClass(java.lang.String tabContentStyleClass)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlPanelGroupTag
`release, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlPanelTabbedPaneTag

    public HtmlPanelTabbedPaneTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `HtmlPanelGroupTag`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `HtmlPanelGroupTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlPanelGroupTag`

### setSelectedIndex

    public void setSelectedIndex(java.lang.String selectedIndex)

### setAlign

    public void setAlign(java.lang.String align)

### setBgcolor

    public void setBgcolor(java.lang.String bgcolor)

### setBorder

    public void setBorder(java.lang.String border)

### setCellpadding

    public void setCellpadding(java.lang.String cellpadding)

### setCellspacing

    public void setCellspacing(java.lang.String cellspacing)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setFrame

    public void setFrame(java.lang.String frame)

### setRules

    public void setRules(java.lang.String rules)

### setSummary

    public void setSummary(java.lang.String summary)

### setWidth

    public void setWidth(java.lang.String width)

### setActiveTabStyleClass

    public void setActiveTabStyleClass(java.lang.String activeTabStyleClass)

### setInactiveTabStyleClass

    public void setInactiveTabStyleClass(java.lang.String inactiveTabStyleClass)

### setActiveSubStyleClass

    public void setActiveSubStyleClass(java.lang.String activeSubStyleClass)

### setInactiveSubStyleClass

    public void setInactiveSubStyleClass(java.lang.String inactiveSubStyleClass)

### setTabContentStyleClass

    public void setTabContentStyleClass(java.lang.String tabContentStyleClass)

### getDisabledTabStyleClass

    public java.lang.String getDisabledTabStyleClass()

### setDisabledTabStyleClass

    public void setDisabledTabStyleClass(java.lang.String disabledTabStyleClass)